story4menangis/urls.py
from django.urls import path
from . import views

app_name = 'story4menangis'

urlpatterns = [
    path('', views.home, name='home'),
    path('about/', views.about, name='about'),
    path('portfolio/', views.portfolio, name='portfolio'),
    path('playlist/', views.playlist, name='playlist'),
    path('schedule/', views.schedule, name='schedule'),
    path('schedule/create/', views.schedule_create, name='schedule_create'),
    path('schedule/delete/', views.schedule_delete, name='schedule_delete'),
    path('schedule/deletespesifik/<id>', views.schedule_deletespesifik, name='schedule_deletespesifik')
]

story4sedih/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story4menangis.urls')),
]

story4menangis/models.py
from django.db import models
from datetime import datetime

# Create your models here.
CATEGORY_CHOICES = (
    ('PERSONAL', 'Personal'),
    ('SCHOOL', 'School'),
    ('BUSINESS', 'Business'),
)

class Schedule(models.Model):
    name = models.CharField(max_length=100, default='')
    title = models.TextField(max_length=100)
    category = models.CharField(max_length=100, choices=CATEGORY_CHOICES)
    location = models.TextField(max_length=30)
    date = models.DateField()
    time= models.TimeField()

story4menangis/forms.py
from.models import Schedule
from django import forms

class ScheduleForm(forms.ModelForm):
    class Meta:
        model = Schedule
        fields = ['name', 'title', 'category', 'location']
    
    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        for field in self.Meta.fields:
            self.fields[field].widget.attrs.update({
                'class':'form-control'
            })

story4menangis/views.py
from django.shortcuts import render, redirect
from .models import Schedule
from . import forms
from django.http import HttpResponse

# Create your views here.
def home(request):
    return render(request, 'home.html')

def about(request):
    return render(request, 'about.html')

def portfolio(request):
    return render(request, 'portfolio.html')

def playlist(request):
    return render(request, 'playlist.html')

def schedule(request):
    schedules = Schedule.objects.all().order_by('date')
    return render(request, 'schedule.html', {'schedule': schedules})

def schedule_create(request):
    if request.method == 'POST':
        form = forms.ScheduleForm(request.POST)
        if form.is_valid():
            form.save()
            return redirect('/schedule/')
    else:
        form = forms.ScheduleForm()
    return render(request, 'schedule_create.html', {'form': form})

def schedule_delete(request):
    Schedule.objects.all().delete()
    return render(request, "schedule.html")

def schedule_deletespesifik(request, id):
    schedule = Schedule.objects.get(id=id)
    schedule.delete()
    return redirect('/schedule/')

story4menangis/templates/about.html
{% extends 'base.html' %}
{% load static %}

{% block content %}

    <div class="jumbotron" style="background: transparent">
        <div class="page_title">
            ABOUT
        </div>
        <div id="download_link" class="download_link">
            <a href="https://www.linkedin.com/in/nabilasekarandini">
            Go to my LinkedIn
            </a>
        </div>
    </div>

    <div class="container-fluid">
        <div class="row flex-container">
          <div class="col-sm-1 m-auto"></div>
  
          <div class="col-sm-10 m-auto" id="description" style="text-shadow:0px 0px 0px black">
            <h1 style="text-decoration: underline">Education</h1>
                <div>
                    <h6><br></h6>
                    <h4>Universitas Indonesia</h4>
                    <h6 style="font-style: italic">Undergraduate Program in Information Systems</h6>
                    <h8>2018 - now</h8>
                </div>
  
                <div>
                    <h3><br></h3>
                    <h4>SMA Negeri 8 Jakarta</h4>
                    <h6 style="font-style: italic">Natural Sciences</h6>
                    <h8>2015 - 2018</h8>
                </div>

                <div>
                    <h3><br></h3>
                    <h4>SMP Negeri 115 Jakarta</h4>
                    <h8>2012- 2015</h8>
                </div>
            
            <h1><br><br></h1>
            
            <h1 style="text-decoration: underline">Experiences</h1>
                <div>
                    <h8><br></h8>
                    <h3 style="font-style: italic">× WORK</h3>
                </html>

                <div>
                    <h4>Private Tutor</h4>
                    <h6 style="font-style: italic">In Middle School Mathematics, Science and English</h6>
                    <h8>July 2019 - now</h8>
                </div>
                
                <div>
                    <h7><br></h7>
                    <h4>A Gaze of My Lens</h4>
                    <h6 style="font-style: italic">Freelance Photographer and Graphic Designer</h6>
                    <h8>February 2019 - now</h8>
                </div>
                
                <div>
                    <h7><br></h7>
                    <h4>FXMedia</h4>
                    <h6 style="font-style: italic">Interactive Design Intern</h6>
                    <h8>June 2019 - August 2019</h8>
                </div>

                <div>
                    <h9><br></h9>
                    <h3 style="font-style: italic">× ORGANISATION</h3>
                </html>

                <div>
                    <h4>Open House Fasilkom UI</h4>
                    <h6 style="font-style: italic">PIC of Documentation</h6>
                    <h8>April 2019 - now</h8>
                </div>
                
                <div>
                    <h7><br></h7>
                    <h4>COMPFEST</h4>
                    <h6 style="font-style: italic">Staff of Documentation and Animation</h6>
                    <h8>February 2019 - September 2019</h8>
                </div>

                <div>
                    <h7><br></h7>
                    <h4>Computers Get Together</h4>
                    <h6 style="font-style: italic">Staff of Documentation</h6>
                    <h8>January 2019 - May 2019</h8>
                </div>
        
            <h1><br><br></h1>

            <h1 style="text-decoration: underline">Skills</h1>

                <div>
                    <h5>Adobe Creative Suite</h5>
                    <h6>(Photoshop, lllustrator, After Effect, Premiere Pro, Lightroom)</h6>
                    <br>
                    <h5>
                        Photograhy
                        <br><br>
                        Videography
                        <br><br>
                        Java
                        <br><br>
                        Python
                    </h5>
                </div>

          <div class="col-sm-1 m-auto"></div>
        </div>
    </div>

    <div>
        <h1><br></h1>
        <h1><br></h1>
    </div>
{% endblock %}

story4menangis/templates/base.html
{% load static %}

<!DOCTYPE html>
<html>
<head>
    <title>rhinocampi</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" 
    href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/story3styles.css' %}">
</head>

<body class="background_home">
    <nav class="sticky-top top_navigation">
        <a href="{% url 'story4menangis:home' %}"><img src="{% static 'images/home_logo.png' %}" height="25vh"></a>
        <a href="{% url 'story4menangis:about' %}">ABOUT</a>
        <a href="{% url 'story4menangis:portfolio' %}">PORTFOLIO</a>
        <a href="http://instagram.com/hippocerodante">CONTACT</a>
        <a href="{% url 'story4menangis:playlist' %}">PLAYLIST</a>
        <a href="{% url 'story4menangis:schedule' %}">SCHEDULE</a>
        <a href="{% url 'story4menangis:schedule_create' %}">CREATE-SCHEDULE</a>
      </nav>
{% block content %}

{% endblock %}

<footer>
    <div id="legal_notes">
      <h5>rhinocampi 2019</h5>
    </div>
</footer>

</body>
</html>

story4menangis/templates/home.html
{% extends 'base.html' %}
{% load static %}

{% block content %}
  <div class="container flex-container" id="greetings">
    <h1 class="m-auto" style="font-size: 10vh">
      Hello
    </h1>
  </div>

  <div class="jumbotron" style="background: transparent">
    <div class="container-fluid">

      <div class="row flex-container">
        <div class="col-sm-5 m-auto"></div>

        <div class="col-sm-2 flex-container mx-auto d-block">
          <img src="{% static 'images/ProfileImage.png' %}" class="img-fluid" alt="Responsive image" style="box-shadow: 0px 0px 20px black">
        </div>

        <div class="col-sm-5 m-auto"></div>
      </div>

      <div class="row flex-container">
        <div class="col-sm-2 m-auto"></div>

        <div class="col-sm-8 m-auto" style="text-align: center" id="texts_stuffs">
          <h1 id="description"><br>I'm Nabila Sekar Andini, an Information Systems Student</h1>
          <h4 id="description">Currently studying in Universitas Indonesia. I have keen interest in photography and design 
            and have some experiences in both fields. I love learning new things and developing my skills.</h4>
          <a id="description" href="about.html" style="text-decoration: underline">
            <h5>see more</h5>
          </a>
        </div>
        
        <div class="col-sm-2 m-auto"></div>
      </div>

    </div>
  </div>

  <div>
    <h1><br></h1>
  </div>

{% endblock %}

story4menangis/templates/playlist.html
{% extends 'base.html' %}
{% load static %}

{% block content %}
  <div class="jumbotron m-auto" style="background: transparent">
    <div class="container-fluid">
      
          <iframe class="embed-container-iframe" src="https://open.spotify.com/embed/playlist/2TIXu6Nzz5pIQ0cTR7oEEu" 
          frameborder="0" allowtransparency="true" allow="encrypted-media"></iframe>
        
    </div>
  </div>

{% endblock %}

story4menangis/templates/portfolio.html
{% extends 'base.html' %}
{% load static %}

{% block content %}

    <div class="jumbotron" style="background: transparent">
        <div class="page_title">
            PORTFOLIO
        </div>
        <div id="download_link" class="download_link">
            <a href="http://instagram.com/andinskr">
                Download Portfolio & CV
            </a>
        </div>
    </div>

    <div class="container fluid">
        <div class="col-sm-1 m-auto"></div>
        
        <div class="col-sm-10 m-auto d-block">
            <img src="{% static 'images/img1.jpg' %}" class="img-fluid" alt="Responsive image">
            <h1><br></h1>
            <img src="{% static 'images/img2.jpg' %}" class="img-fluid" alt="Responsive image">
            <h1><br></h1>
            <img src="{% static 'images/img3.jpg' %}" class="img-fluid" alt="Responsive image">
            <h1><br></h1>
            <img src="{% static 'images/img4.jpg' %}" class="img-fluid" alt="Responsive image">
            <h1><br></h1>
            <img src="{% static 'images/img6.jpg' %}" class="img-fluid" alt="Responsive image">
            <h1><br></h1>
            <img src="{% static 'images/img7.jpg' %}" class="img-fluid" alt="Responsive image">
            <h1><br></h1>
            <img src="{% static 'images/img8.jpg' %}" class="img-fluid" alt="Responsive image">
            <h1><br></h1>
        </div>

        <div class="col-sm-1 m-auto"></div>
    </div>
   
    <div>
            <h1><br></h1>
            <h1><br></h1>
          </div>
{% endblock %} 

story4menangis/templates/schedule.html
{% extends 'base.html' %}
{% load static %}

{% block content %}
<div class="container-fluid">
    <div class="row"> 
        <div class="col-md-5"></div>
        <div class="col-md-2" class="text-center">
        <p>Schedule</p>
        </div>
        <div class="col-md-5"></div>
    </div>
                <div class="row">
                    {% for schedule in schedules %}
                        <div class="col-sm-4 text-center" class="roboto">
                            <p>{{ schedule.name }}</p>
                            <p><b>{{ schedule.title }}</b></p>
                            <p>{{ schedule.category}}</p>
                            <p>{{ schedule.location }}</p>
                            <p>{{ schedule.date }}</p>
                            <p>{{ schedule.time }}</p>
                            <a href="/schedule/deletespesifik/{{schedule.id}}"><button type ="button" class="btn btn-danger btn-sm mt-3">Delete</button></a>
                      </div>
                  </div>
                    {% endfor %}
        <div class = "col-md-5"></div>
            <div class = 'form-group'>
                <div class="col-md-1">
                <a href="/schedule/delete"><button type="button" class= "btn btn-secondary btn-lg btn-sm">Clear</button></a></div>
                <div class="col-md-1"><a href="/schedule/create"><button type="button" class= "btn btn-secondary btn-lg btn-sm">Create</button></a></div>
            </div>
            <div class="col-md-5"></div>
        </div>
    </div>
    
{% endblock %}

story4menangis/templates/schedule_create.html
{% extends 'base.html' %}
{% load static %}

{% block content %}
<h1></h1>
<h1></h1>
<form class="css" method="post" action="/schedule/create/">
    {% csrf_token %}
    <div class="form-row">
        <div class="col-sm-1"></div>
        <div class="form-group col-sm-10">
            {% for fields in form %}
                {{ fields.label_tag }}
                <br>
                {{ fields }}
            {% endfor %}
        </div>
    </div>
    <div class="form-row">
        <div class="col-sm-1"></div>
        <input type="submit" class="btn btn-primary float-right" value="Add">
    </div>
</form>

{% endblock %}